AutoCAD Civil Object Enabler Help

Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
AutoCAD Civil Object Enabler Help

The AutoCAD Civil Object Enabler lets you access civil object data in AutoCAD 2009-based applications. You can use it to work with AutoCAD Civil 3D 2009 object data or with AutoCAD Land Desktop 2009 object data.

Topics in this section

  • Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
  • Using the AutoCAD Civil Object Enabler for Land Desktop 2009 Object Data

    The AutoCAD Civil Object Enabler allows you to access AutoCAD Land Desktop 2009 object data in AutoCAD 2009 based applications without having AutoCAD Land Desktop 2009 installed on your machine.

Please send us your comment about this page


Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data

AutoCAD Civil Object Enabler Help
AutoCAD Civil Object Enabler Help
Using the Civil Object Enabler for AutoCAD Civil 3D 2009 Object Data
Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data

The AutoCAD Civil Object Enabler allows you to access AutoCAD Civil 3D 2009 and AutoCAD Land Desktop 2009 civil object data in AutoCAD 2009-based applications without having the products installed on your machine.

NoteThe AutoCAD Civil Object Enabler can be used with both AutoCAD Civil 3D 2009 and AutoCAD Land Desktop 2009.

Civil objects can be enabled in the following Autodesk products:

  • AutoCAD 2009
  • AutoCAD Mechanical 2009
  • AutoCAD Architecture 2009
  • AutoCAD MEP 2009
  • AutoCAD Map 3D 2009
  • AutoCAD Electrical 2009
  • Autodesk 3ds Max Design 2009
  • Autodesk 3ds Max 2009
  • Autodesk NavisWorks Manage 2009
  • Autodesk NavisWorks Review 2009
  • Autodesk NavisWorks Simulate 2009
  • Autodesk Impression 2009

For earlier versions of these products, please refer to http://www.autodesk.com/aecobjenabler for the correct version to download.

Topics in this section

  • Using the Civil Object Enabler for AutoCAD Civil 3D 2009 Object Data

    The Civil Object Enabler is a freeware application that you can use to access AutoCAD Civil 3D 2009 drawing files. This release allows object data created in AutoCAD Civil 3D 2009 to be accessed outside the AutoCAD Civil 3D 2009 environment.

  • Accessing and Installing the Civil Object Enabler

    The Civil Object Enabler is available on your AutoCAD Civil 3D 2009 product media as well as from the Autodesk website.

  • Types of Objects Created with AutoCAD Civil 3D

    AutoCAD Civil 3D 2009 creates many different types of custom graphical objects.

  • Using the Object Properties Manager in an Enabled AutoCAD Session

    You can view certain information regarding AutoCAD Civil 3D objects in the AutoCAD Object Properties window.

  • Supported AutoCAD Commands

    All AutoCAD Civil 3D objects support the AutoCAD List, Explode, and Erase commands. The Object Enabler list command behaves the same as the AutoCAD Civil 3D list command.

  • Exploding AutoCAD Civil 3D Objects

    Use the Export to AutoCAD command to create either a new AutoCAD 2004 or 2000 format drawing with all civil objects exploded. The original drawing is not affected. There are two ways to explode: use the explode command or export as described below.

  • Frequently Asked Questions

    Questions about Object Enabler installation and usage are addressed in the following topics.


Using the Civil Object Enabler for AutoCAD Civil 3D 2009 Object Data

Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
Accessing and Installing the Civil Object Enabler
Using the Civil Object Enabler for AutoCAD Civil 3D 2009 Object Data

The Civil Object Enabler is a freeware application that you can use to access AutoCAD Civil 3D 2009 drawing files. This release allows object data created in AutoCAD Civil 3D 2009 to be accessed outside the AutoCAD Civil 3D 2009 environment.

For example, if half of your AutoCAD seats are AutoCAD 2009, and the other half are AutoCAD Civil 3D 2009, the people using plain AutoCAD 2009 can install the Civil Object Enabler. After installing the Civil Object Enabler, they can open drawings that were created in AutoCAD Civil 3D 2009 and view, plot, manipulate, and copy the custom objects.

Without this enabler installed, you can share drawings using proxy graphics. Proxy graphics provide an alternative means to display objects using simple graphical representations. Objects represented as proxy graphics lack the full “intelligence” of true objects. Proxy graphics also increase drawing size. AutoCAD uses this mechanism for DWG file compatibility if the custom application is not loaded.

Set the PROXYGRAPHICS drawing setting to 1 to save the graphics with the drawing, otherwise a “bounding box” is displayed where the object is located when opened with the Object Enabler.

Installing the Civil Object Enabler on any AutoCAD 2009 product enables:

  • Support of the AutoCAD List, and erase commands on civil objects
  • Snap points on civil objects (so you can use Object Snaps and object tracking)
  • Grip editing of labels
  • Support for display of certain types of civil objects in the AutoCAD Object Properties Palette

Visual Fidelity

The appearance of AutoCAD Civil 3D civil objects is controlled by styles, which can have different settings for viewing the objects in both 2D and 3D views. The Civil Object Enabler respects these settings, so a surface configured to show only contours in 3D, for example, will show only contours when viewed in 3D in an enabled AutoCAD session.

Layer Fidelity

AutoCAD Civil 3D civil object styles can be configured so that the object appearance can be controlled by manipulating layers. If the object style settings, such as color and lineweight, are set to BYLAYER, you can perform the following in an enabled AutoCAD session:

  • Change the object layer and object subcomponent layer settings to update the object display
  • Turn the layers on/off or freeze/thaw the layers to change object visibility

If the layer settings in the object style are set to BYBLOCK, changing the object layer in an enabled AutoCAD session will change the display of the object and its subcomponents accordingly.


Accessing and Installing the Civil Object Enabler

Using the Civil Object Enabler for AutoCAD Civil 3D 2009 Object Data
Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
Types of Objects Created with AutoCAD Civil 3D
Accessing and Installing the Civil Object Enabler

The Civil Object Enabler is available on your AutoCAD Civil 3D 2009 product media as well as from the Autodesk website.

See the instructions below for installing the Civil Object Enabler from the product media. In addition, you can also download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

Installing the Civil Object Enabler

  1. Insert the AutoCAD Civil 3D 2009 product media into your computer’s media drive.
  2. In the AutoCAD Civil 3D 2009 Installation wizard, click the Install link.
  3. On the Install page, click Install Additional Tools. Then click Civil Object Enabler and follow the on-screen instructions.
  4. If prompted, restart your computer.


Types of Objects Created with AutoCAD Civil 3D

Accessing and Installing the Civil Object Enabler
Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
Using the Object Properties Manager in an Enabled AutoCAD Session
Types of Objects Created with AutoCAD Civil 3D

AutoCAD Civil 3D 2009 creates many different types of custom graphical objects.

These include:

  • Surface
  • Contour label line
  • Point
  • Point Group
  • Table(s)
  • Alignment
  • Corridor
  • Assembly
  • Subassembly
  • Pipe and Structure (plan)
  • Pipe and Structure (profile view)
  • Pipe and Structure (section view)
  • Pipe Network Interference
  • Parcel Area
  • Parcel Segments
  • Site
  • Grading
  • Profile
  • Profile View
  • Sample Line
  • Surface Section
  • Material Section
  • Section View
  • Section View Sheet
  • Survey Figure
  • Survey Network
  • View Frame
  • Match Line
  • Single Labels
  • Group Labels
  • Mass Haul Line
  • Mass Haul View

The Civil Object Enabler allows you to view these objects and their associated labels in an enabled AutoCAD 2009 session.


Using the Object Properties Manager in an Enabled AutoCAD Session

Types of Objects Created with AutoCAD Civil 3D
Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
Supported AutoCAD Commands
Using the Object Properties Manager in an Enabled AutoCAD Session

You can view certain information regarding AutoCAD Civil 3D objects in the AutoCAD Object Properties window.

Use the Modify [image] Properties command, or right-click an object and select Properties to open the Properties window. When using the Properties window in an enabled AutoCAD session, you can change certain AutoCAD properties.


Supported AutoCAD Commands

Using the Object Properties Manager in an Enabled AutoCAD Session
Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
Exploding AutoCAD Civil 3D Objects
Supported AutoCAD Commands

All AutoCAD Civil 3D objects support the AutoCAD List, Explode, and Erase commands. The Object Enabler list command behaves the same as the AutoCAD Civil 3D list command.

Most AutoCAD Civil 3D objects support other commands to some degree. These commands include Copy, Move, Mirror, Offset, Scale, Block/wBlock, Rotate, Trim and Extend.

The following table lists additional information regarding command operation on certain objects and the results.

NoteYou can get the “Copy” behavior by entering COPY at the command line or by using the Basic Modify Tools [image] Copy command on the shortcut menu. You can get the “Block/Wblock” behavior by using the Clipboard [image] Copy or Clipboard [image] Copy With Base Point commands on the shortcut menu, pressing Ctrl+C, or entering WBLOCK at the command line.

Supported AutoCAD Commands Notes

Surface

If the surface is erased or exploded, profiles and sections that reference that surface become static.

Mirror will create a copy but will not honor the mirror settings.

Point groups used in the surface definition are included as part of the Wblock.

Point

When Wblocking and Inserting points, or copying points, a dialog box is displayed to resolve number conflicts.

Table

Wblocking a table also copies the required geometry. For example, the points are copied along with the point table.

Alignment

Exploding or erasing an alignment explodes or erases all objects that are dependent on the alignment (such as profiles, profile views, sample lines, sections, and section views).

Copying the alignment will create an alignment with a new name in the same site. All dependent objects will be copied and included with the new alignment.

Wblock/Insert will copy the alignment and all dependent objects into a new site.

Parcel (select parcel label)

When copying or Wblocking a parcel, the dependent parcel segments are included. If the objects are inserted into the same drawing, a new site is created.

Only the parcel labels can be moved.

Parcel Segment Lines

Wblocking/Inserting the parcel segment lines creates segment lines in a new site.

Grading

There are two distinct copy operations which can be done on a grading object. Copying the footprint feature line or individual target line creates a new feature line in a new site. Copying the entire grading object copies the footprint, target, and criteria.

The footprint can be moved. The target line cannot be moved.

If the grading criteria references a surface, the surface will be included in a Wblock/Insert operation.

Profile

Erasing a profile or section erases it from all profile or section views.

Profiles and sections can only be moved vertically within a view.

Profile View

If the profile or profile view is Wblocked, all objects required for the profile or profile view (such as the surface, alignment, profile, sample lines, and sections) are copied. If the objects are copied into the same drawing, a new site is created.

Sample Line

You cannot copy or move a Sample Line.

Section

Erasing a profile or section erases it from all profile or section views.

Profiles and sections can only be moved vertically within a view.

If the sample line, section, or section view is Wblocked, all objects that are required for the sample line, section, or section view (such as the surface, alignment, sections, and sample lines) are copied. If the objects are copied into the same drawing, a new site is created.

Assembly

The names of assemblies and subassemblies are incremented when copied. Copying an assembly copies the assembly and all dependent subassemblies.

Mirror will create a copy but will not honor the mirror settings.

Corridor

Copying or Wblocking a corridor copies all of the dependent data such as assemblies, alignments, and surfaces.

Pipe Network

Network Objects are not accessible through Object Enabler environment.

Pipe

Copying a network part profile will create a copy of the parent network part (pipe or structure).

Structure

Copying, mirroring, arraying, and offsetting pipes and structures updates the references of any connected parts.

Copied pipes and structures will be in the same network.

Moving or rotating a structure causes any connected parts to move with it. (the connections are maintained).

Moving or rotating a pipe breaks the connection to any connected parts.

Scaling a pipe or structure affects position but does not affect size.

Wblocking pipes and structures copies all dependent objects..

Survey Network

Using the copy command on a survey network creates feature lines. The move command disassociates the figure from the model.

Survey Figure

Using the offset command on a survey figure generates a feature line object, not a survey figure.

The move commands disassociates the figure from the model.

Mass Haul Line

Using the explode commands keeps the layer and display settings, so entities will appear exactly the same as they did in the object, excepting objects that are assigned “ByBlock” color.

With the Extend command, the object can be selected as an edge to extend to, but cannot be selected to extend

With the Trim command, the object can be selected as a trim edge, but cannot be trimmed.

If the mass hauls is Wblocked, all objects that are required for it will be copied. Wblock/Insert is used when the user keys in ^C and ^V.

Mass Haul View

Views are automatically named according to “Existing Name” (#), where # is an increment. If a conflict is found, the next counter will be used.

The copy command or right-click “Copy Selection” will create a copy of the View with a name of “Existing Name” (#), where # is an increment.

The explode command will keep the layer and display settings, so entities will appear exactly the same as they did in the object, excepting objects that are assigned “ByBlock” color. Exploding the View will not explode the haul line.

The mirror command is successful on a View, but it will not honor the mirror settings. You will get an additional copy of the Profile View.

If the View is Wblocked, all objects that are required for the View will be copied. Wblock/Insert is used when the user keys in ^C and ^V.


Exploding AutoCAD Civil 3D Objects

Supported AutoCAD Commands
Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
Frequently Asked Questions
Exploding AutoCAD Civil 3D Objects

Use the Export to AutoCAD command to create either a new AutoCAD 2004 or 2000 format drawing with all civil objects exploded. The original drawing is not affected. There are two ways to explode: use the explode command or export as described below.

To explode AutoCAD Civil 3D objects in an enabled AutoCAD session

  1. Enter -AecExportToAutoCAD at the command line of an AutoCAD enabled with the Civil Object Enabler. The following prompt is displayed:

    Export options [Format/Bind/bind Type/Prefix/Suffix/?] <Enter for filename>:

  2. Enter F to display the format options and then specify the file format.
  3. Enter B to specify whether to bind xrefs. Enter Yes or No.
  4. Enter T to specify the bind type. Enter Bind or Insert.

    The Bind method preserves xref identities, such as layer names. The Insert method binds the xref to the current drawing in a way similar to detaching and inserting the reference drawing.

  5. Enter P to specify a file prefix and then enter the prefix.
  6. Enter S to specify a file suffix and then enter the suffix.
  7. Enter ? to review the settings you have specified.
  8. When you have completed specifying settings, press Enter at the <Enter for filename>: prompt, and then specify a file name, including path. For example, enter C:\My Documents\ACAD-Drawing1.dwg.

    The file is saved to the specified location.


Frequently Asked Questions

Exploding AutoCAD Civil 3D Objects
Using the AutoCAD Civil Object Enabler for Civil 3D 2009 Object Data
Using the AutoCAD Civil Object Enabler for Land Desktop 2009 Object Data
Frequently Asked Questions

Questions about Object Enabler installation and usage are addressed in the following topics.

NoteYou can find the latest information about the Object Enablers at http://www.autodesk.com/aecobjenabler.

What is the Civil Object Enabler?

The Civil Object Enabler is a utility that gives customers of AutoCAD 2009 based products the ability to view and perform limited editing on AutoCAD Civil 3D objects. With the Civil Object Enabler, any user with these AutoCAD 2009 based products can have full compatibility with AutoCAD Civil 3D objects.

Can the Civil Object Enabler be installed on a version of AutoCAD prior to 2009?

No. The Civil Object Enabler can only be installed on AutoCAD 2009 based products.

Do I have to install the Civil Object Enabler in order to view AutoCAD Civil 3D drawings in AutoCAD based applications?

No. The AutoCAD proxy graphic mechanism (starting with AutoCAD R13) allows viewing of AutoCAD Civil 3D objects in AutoCAD or other Autodesk products that can read drawing files. Be sure you turn on proxy graphics before you save your drawings in Civil 3D.

How is the Civil Object Enabler different from proxy graphics?

The Civil Object Enabler does not replace the proxy graphics mechanism of interoperability. Proxy graphics remains a valuable “common denominator” of interoperability across the Autodesk product line. The Civil Object Enabler provides a more robust level of compatibility for AutoCAD users.

How do I use the Civil Object Enabler?

Once installed, the Civil Object Enabler works automatically with your existing AutoCAD configuration. If you open a drawing file containing AutoCAD Civil 3D objects, they are “live” and you are able to edit them directly using AutoCAD commands. There are no menus, toolbars, or command-line features. The power of the Civil Object Enabler is the ability to use existing and familiar AutoCAD commands on AutoCAD Civil 3D objects without the need to learn new functionality.

Can I create intelligent objects using the Civil Object Enabler on AutoCAD 2009?

There are no commands to create new objects using AutoCAD 2009 and the Civil Object Enabler. Copying existing objects, however, is supported for a majority of objects, and objects retain their intelligence.

How do I install the Civil Object Enabler?

The Civil Object Enabler is available on your product media. In addition, you can download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

How do I distribute the Civil Object Enabler install?

The Civil Object Enabler is a freeware application that you can distribute to anyone who wants to view your drawings. However, the Civil Object Enabler alone cannot display your drawings. You must have an installed copy of AutoCAD 2009 or an AutoCAD 2009 based product.

How do I verify that the Civil Object Enabler is installed properly?

When you install the Civil Object Enabler, it is added to the Add/Remove Programs list in the Windows Control Panel.

Are there any AutoCAD variables that affect the Civil Object Enabler?

When you are using the Civil Object Enabler, it is recommended that you use the Object Detect And Command Invoke option in AutoCAD Options.

To select the Object Detect And Command Invoke option

  1. Enter OPTIONS at the AutoCAD command line to display the AutoCAD Options dialog box.
  2. Click the Open And Save tab.
  3. Under ObjectARX Applications and Demand Load ObjectARX Apps, select Object Detect And Command Invoke.

This option checks for any custom objects that exist in a drawing and loads the parent ARX/DBX application.

NoteWhen you want to use the Civil Object Enabler to view custom objects, set the Demand Load ObjectARX Apps option to Custom Object Detect (1) or Object Detect and Command Invoke (3).


Using the AutoCAD Civil Object Enabler for Land Desktop 2009 Object Data

Frequently Asked Questions
AutoCAD Civil Object Enabler Help
Using the Civil Object Enabler
Using the AutoCAD Civil Object Enabler for Land Desktop 2009 Object Data

The AutoCAD Civil Object Enabler allows you to access AutoCAD Land Desktop 2009 object data in AutoCAD 2009 based applications without having AutoCAD Land Desktop 2009 installed on your machine.

AutoCAD Land Desktop 2009 objects can be enabled in the following products:

  • AutoCAD 2009
  • AutoCAD Mechanical 2009
  • AutoCAD Architecture 2009
  • AutoCAD MEP 2009
  • AutoCAD Map 3D 2009
  • AutoCAD Electrical 2009
  • Autodesk 3ds Max Design 2009
  • Autodesk 3ds Max 2009
  • Autodesk NavisWorks Manage 2009
  • Autodesk NavisWorks Review 2009
  • Autodesk NavisWorks Simulate 2009
  • Autodesk Impression 2009

For earlier versions of these products, please refer to http://www.autodesk.com/aecobjenabler for the correct version to download.

NoteThe Civil Object Enabler can be used for both AutoCAD Civil 3D 2009 and AutoCAD Land Desktop 2009 objects.

Topics in this section

  • Using the Civil Object Enabler
  • Accessing and Installing the Civil Object Enabler
  • Types of Custom Objects Created with Land Desktop
  • Functionality Enabled for the COGO Point Object
  • Functionality Enabled for the Contour Object
  • Functionality Enabled for the Curved Text Object
  • Functionality Enabled for the Section View Object
  • Functionality Enabled for the Grading Object
  • Functionality of the Grading Object Without the Civil Object Enabler
  • Frequently Asked Questions


Using the Civil Object Enabler

Accessing and Installing the Civil Object Enabler
Using the Civil Object Enabler

Installing the Civil Object Enabler on any AutoCAD 2009 based product enables:

  • Support of basic AutoCAD commands on Land objects, such as List, Explode, Block, WBlock, and Copy
  • Snap points on the objects (so you can use Object Snaps)
  • Grip editing of Land objects (except for the grading object)

Without this enabler installed, you can share drawings using proxy graphics. Proxy graphics provide an alternative means to display objects using simple graphical representations. Objects represented as proxy graphics lack the full “intelligence” of true objects. AutoCAD uses this mechanism for DWG file compatibility if the custom application is not loaded.


Accessing and Installing the Civil Object Enabler

Using the Civil Object Enabler
Types of Custom Objects Created with Land Desktop
Accessing and Installing the Civil Object Enabler

Use the following instructions to install the Civil Object Enabler from the AutoCAD Land Desktop 2009 product media. You can also download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

NoteTo prepare for installation, make sure you log in with Administrator privileges.

Installing the Civil Object Enabler

  1. Insert the AutoCAD Land Desktop 2009 media into your media drive.
  2. In the AutoCAD Land Desktop 2009 Installation wizard, click the Install link.
  3. On the Install page, click Additional Tools.
  4. On the Additional Tools page, click Civil Object Enabler.
  5. At the bottom of the page, click Install the Civil Object Enabler. Follow the on-screen instructions. If prompted, restart your computer.


Types of Custom Objects Created with Land Desktop

Accessing and Installing the Civil Object Enabler
Functionality Enabled for the COGO Point Object
Types of Custom Objects Created with Land Desktop

Land Desktop creates three different types of graphical custom objects. These include:

  • COGO point object
  • contour object
  • curved text object
  • grading object
NoteEarly versions of Land (Development) Desktop created section view objects. Because Land Desktop 3, 2004, 2005, 2006, 2007 and 2009 have the ability to create section views from regular AutoCAD entities, section view objects are not created. However, section view objects may exist in a drawing that was created with an earlier version of Land Development Desktop. For more information, see Functionality Enabled for the Section View Object.


Functionality Enabled for the COGO Point Object

Types of Custom Objects Created with Land Desktop
Functionality Enabled for the Contour Object
Functionality Enabled for the COGO Point Object

The Civil Object Enabler implements the following functionality for the COGO point object:

  • Grip Points
  • Snap Points
  • LIST
  • DXFIN/DXFOUT
  • ERASE
  • EXPLODE
  • MIRROR
  • COPY
  • ROTATE
  • WBLOCK
  • MOVE
NoteYou can only move or copy points if the “Allow Points to be MOVE'd in Drawing” setting (on the Update tab of the Point Settings dialog box) was enabled for the drawing when it was last saved. If you copy a point and the “Allow Points to be MOVE'd in Drawing” setting was not selected when it was last saved, then only the text associated with the point is moved.


Functionality Enabled for the Contour Object

Functionality Enabled for the COGO Point Object
Functionality Enabled for the Curved Text Object
Functionality Enabled for the Contour Object

The Civil Object Enabler implements the following functionality for the Contour Object:

  • LIST
  • DXFIN/DXFOUT
  • ERASE
  • ERASE
  • EXPLODE
  • MIRROR
  • COPY
  • ROTATE
  • SCALE
  • WBLOCK
  • TRIM/EXTEND
  • BREAK
  • Snap points
  • Grip points on contour vertices and/or labels
NoteThe availability of Grip points is based on the Contour Style settings.


Functionality Enabled for the Curved Text Object

Functionality Enabled for the Contour Object
Functionality Enabled for the Section View Object
Functionality Enabled for the Curved Text Object

The Civil Object Enabler implements the following functionality for the curved text object:

  • Grip points to move the label along the curve
  • LIST
  • DXFIN/DXFOUT
  • ERASE
  • EXPLODE
  • WBLOCK
  • MOVE
  • ROTATE
NoteMove and Rotate only work for Curve Text when the arc is manipulated. The location of the Curve Text object is controlled by the arc.
NoteIn an Object Enabled AutoCAD, when you edit a curve that contains curve text, the label placement is updated, but the text is not updated.


Functionality Enabled for the Section View Object

Functionality Enabled for the Curved Text Object
Functionality Enabled for the Grading Object
Functionality Enabled for the Section View Object

Early versions of Land Development Desktop created section view objects. Because Land Desktop 3, 2004, 2005, 2006, 2007, and 2009 have the ability to create section views from regular AutoCAD entities, section view objects are not created by these products.

However, section view objects may exist in a drawing that was created with an earlier version of Land Development Desktop.

The Civil Object Enabler implements the following functionality for the section view object:

  • Grip Points
  • Snap Points
  • LIST
  • DXFIN/DXFOUT
  • ERASE
  • EXPLODE
  • MIRROR
  • MOVE
  • COPY
  • ROTATE
  • SCALE
  • WBLOCK
  • TRIM/EXTEND
  • BREAK
NoteThe section view object cannot be extended, but it can act as a boundary edge.


Functionality Enabled for the Grading Object

Functionality Enabled for the Section View Object
Functionality of the Grading Object Without the Civil Object Enabler
Functionality Enabled for the Grading Object

The Civil Object Enabler enables the following functionality for the grading object:

NoteThe Civil Object Enabler is not required when you are using Land Desktop alone (without Civil Design) to open a drawing that contains a grading object.
  • Snap Points
  • LIST
  • COPY
  • ERASE
  • EXPLODE
  • MIRROR
  • MOVE
  • ROTATE
  • SCALE (the slope tags and target regions remain in the same locations relative to the vertices)
  • TRIM to (can be used as trim edge, but cannot be trimmed)
  • EXTEND to (can be used as extend edge, but cannot be extended)

When you use the Civil Object Enabler, the grading object:

  • behaves as if locked
  • does not have grip points
  • cannot have its properties edited


Functionality of the Grading Object Without the Civil Object Enabler

Functionality Enabled for the Grading Object
Frequently Asked Questions
Functionality of the Grading Object Without the Civil Object Enabler

With plain AutoCAD (no Civil Object Enabler installed), the grading object behaves as follows:

  • With the AutoCAD PROXYGRAPHICS variable set to 1 (ON when the grading object was saved), a wire frame of the grading object is created.
  • The proxy graphics object behaves as if it is locked.
  • WBLOCK, EXPLODE, and ERASE commands are honored.
  • With the AutoCAD PROXYGRAPHICS variable set to 0 (OFF when the grading object is saved), a box is created that represents the object.
  • AutoCAD editing commands are non-functional except ERASE, WBLOCK, or EXPLODE.


Frequently Asked Questions

Functionality of the Grading Object Without the Civil Object Enabler
Using the AutoCAD Civil Object Enabler for Land Desktop 2009 Object Data
Frequently Asked Questions
NoteYou can find the latest information about the Object Enablers at http://www.autodesk.com/aecobjenabler.

What drawing versions will this version of the Object Enabler support?

The Civil Object Enabler supports Land objects created in previous Land Desktop releases. However, if you open a drawing created on an earlier release using the Civil Object Enabler and then save the drawing, the object versions are promoted to version 2009, just as if you created the drawing on AutoCAD Land Desktop 2009.

Is the Civil Object Enabler the same as the Architecture Object Enabler?

No. The Civil Object Enabler and the AutoCAD Architecture Object Enablers are different. When viewing Land objects in AutoCAD or one of the AutoCAD-based applications (other than Land Desktop), you should use the Civil Object Enabler. When viewing Architectural objects, you should use the AutoCAD Architecture Object Enabler.

NoteSome earlier versions of the Object Enabler (2.11 and earlier, but not version 2.51i or later) included support for both Land and Architectural objects.

Can the Civil Object Enabler be installed on a version of AutoCAD prior to 2009?

No. The Civil Object Enabler can only be installed on AutoCAD 2009 based products.

When multiple Object Enablers are installed, how do I select the correct version?

When you open a drawing, the Object Enabler version is selected automatically for you depending on the version of the objects in the drawing. For example, when you open a drawing created in AutoCAD Land Desktop 2009, the Civil Object Enabler is run automatically, even if you have earlier versions of the Civil Object Enabler installed. If you open a drawing created on an earlier version of Land Desktop, the corresponding Civil Object enabler is run if it is installed.

Do I have to install the Civil Object Enabler in order to view AutoCAD Land Desktop drawings in AutoCAD based applications?

No. The AutoCAD proxy graphic mechanism (starting with AutoCAD R13) allows viewing of Land Desktop objects in AutoCAD or other Autodesk products that can read drawing files. Be sure you turn on proxy graphics before you save your drawings.

How is the Civil Object Enabler different from proxy graphics?

The Civil Object Enabler does not replace the proxy graphics mechanism of interoperability. Proxy graphics remains a valuable “common denominator” of interoperability across the Autodesk product line. The Civil Object Enabler provides a more robust level of compatibility for AutoCAD users, allowing them to benefit from the power of Land objects.

Can I use the Civil Object Enabler on AutoCAD 2002 or previous versions?

No. There are versions of the Object Enabler available for AutoCAD 2002 and previous versions. However, these products cannot open AutoCAD 2009 drawings. For more information, see http://www.autodesk.com/aecobjenabler.

How do I use the Civil Object Enabler?

Once installed, the Civil Object Enabler works automatically with your existing AutoCAD configuration. If you open a drawing file containing Land Desktop objects, they are “live” and you are able to edit them directly using AutoCAD software commands. There are no menus, toolbars, or command-line features associated with the Civil Object Enabler. The power of the Civil Object Enabler is the ability to use existing and familiar AutoCAD commands on Land objects without the need to learn new functionality.

Can I create intelligent objects using the Civil Object Enabler on AutoCAD 2009?

There are no commands to create new objects using AutoCAD 2009 and the Civil Object Enabler. Copying existing objects, however, is supported, and objects retain their intelligence.

How can I control the drawing units when I perform a Map query on an Architectural Desktop drawing and a Land Desktop drawing in an object-enabled AutoCAD Map 3D?

To control the drawing units when performing a Map query draw, you can use the -aecdwgunits command, which has been added to the Object Enabler and to AutoCAD Land Enabled Map.

You can use this command to set the drawing units before performing a query draw in which you query drawings with different units, such as a Land Desktop drawing and an Architectural Desktop drawing.

To use this command, type -aecdwgunits on the command line (including the dash), and then set the drawing units by using the prompts that are displayed. These prompts control drawing units, drawing unit display format, linear display precision, and whether objects from other drawings are scaled on insert. The scale on insert prompt is shown below:

Scale objects from other drawings upon insert? [Yes/No] <Y>:

When combining Land Desktop and Architectural Desktop drawings using Map query draw, it is recommended that you answer “Yes” at this prompt prior to querying either drawing, or the drawings may not be scaled properly.

If there is not already a Drawing Setup object in the current drawing, then this command creates a Drawing Setup object with the settings you specify.

How do I install the Civil Object Enabler?

The Civil Object Enabler is also available on your product media. You can also download the most current version from the Autodesk web site at http://www.autodesk.com/aecobjenabler.

How do I distribute the Civil Object Enabler install?

The Civil Object Enabler is a freeware application that you can distribute to anyone who wants to view your drawings. However, the Civil Object Enabler alone cannot display your drawings. You must have an installed copy of AutoCAD 2009.

How do I verify that the Civil Object Enabler is installed properly and running?

When you open a drawing containing one or more Land Desktop custom objects, a message displays at the AutoCAD command line saying that the AecBase40 and AecCivilBase modules have been loaded. When you install the Civil Object Enabler, it will also be added to the Add/Remove Programs list in the Windows Control Panel.

Why do I still see the Proxy Information Dialog Box when I open a drawing?

The AutoCAD Proxy Information dialog box for AecDraft.arx is displayed when you open a drawing that contains Land Desktop dynamic line label objects.

Are there any AutoCAD variables that affect the Civil Object Enabler?

When you are using the Civil Object Enabler, it is recommended that you use the Object detect and command invoke option in AutoCAD Options.

To select the Object detect and command invoke option

  1. Type OPTIONS at the AutoCAD command line to display the AutoCAD Options dialog box.
  2. Click the Open and Save tab.
  3. Under Object ARX applications and Demand load Object ARX apps, select Object detect and command invoke.

This option checks for any custom objects that exist in a drawing and loads the parent ARX/DBX application.

When you want to use the Civil Object Enabler to view custom objects, set the Demand Load ObjectARX Apps option to Custom Object Detect (1) or Object Detect and Command Invoke (3).


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!